Package org.jbpm.casemgmt.impl.wih

## Class NotifyParentCaseEventListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.casemgmt.impl.wih.NotifyParentCaseEventListener

- All Implemented Interfaces:
    `EventListener`, `CaseEventListener`, `org.kie.api.event.process.ProcessEventListener`, `org.kie.internal.runtime.Cacheable`

      public class NotifyParentCaseEventListener
      extends org.kie.api.event.process.DefaultProcessEventListener
      implements CaseEventListener, org.kie.internal.runtime.Cacheable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotifyParentCaseEventListener​(org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.runtime.manager.RuntimeManager runtimeManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterCaseCancelled​(CaseCancelEvent event)` |
    `void` | `afterCaseClosed​(CaseCloseEvent event)` |
    `void` | `afterCaseDestroyed​(CaseDestroyEvent event)` |
    `void` | `afterProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)` |
    `void` | `afterVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)` |
    `void` | `beforeVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)` |
    `void` | `close()` |
    `protected CaseEventSupport` | `getCaseEventSupport()` |
    `protected CaseFileInstance` | `getCaseFile​(org.kie.api.runtime.KieSession ksession)` |
    `protected void` | `notifyParentOnCompletion​(CaseEvent event)` |

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessStarted, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.casemgmt.api.event.CaseEventListener

      `afterCaseCommentAdded, afterCaseCommentRemoved, afterCaseCommentUpdated, afterCaseDataAdded, afterCaseDataRemoved, afterCaseReopen, afterCaseRoleAssignmentAdded, afterCaseRoleAssignmentRemoved, afterCaseStarted, afterDynamicProcessAdded, afterDynamicTaskAdded, beforeCaseCancelled, beforeCaseClosed, beforeCaseCommentAdded, beforeCaseCommentRemoved, beforeCaseCommentUpdated, beforeCaseDataAdded, beforeCaseDataRemoved, beforeCaseDestroyed, beforeCaseReopen, beforeCaseRoleAssignmentAdded, beforeCaseRoleAssignmentRemoved, beforeCaseStarted, beforeDynamicProcessAdded, beforeDynamicTaskAdded`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated, onAsyncNodeScheduledEvent, onMessage, onSignal`

- - ### Constructor Detail

    - #### NotifyParentCaseEventListener

          public NotifyParentCaseEventListener​(org.kie.internal.identity.IdentityProvider identityProvider,
                                               org.kie.api.runtime.manager.RuntimeManager runtimeManager)

  - ### Method Detail

    - #### afterCaseClosed

          public void afterCaseClosed​(CaseCloseEvent event)

      Specified by:
        `afterCaseClosed` in interface `CaseEventListener`

    - #### afterCaseCancelled

          public void afterCaseCancelled​(CaseCancelEvent event)

      Specified by:
        `afterCaseCancelled` in interface `CaseEventListener`

    - #### afterCaseDestroyed

          public void afterCaseDestroyed​(CaseDestroyEvent event)

      Specified by:
        `afterCaseDestroyed` in interface `CaseEventListener`

    - #### afterProcessCompleted

          public void afterProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)

      Specified by:
        `afterProcessCompleted` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `afterProcessCompleted` in class `org.kie.api.event.process.DefaultProcessEventListener`

    - #### beforeVariableChanged

          public void beforeVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)

      Specified by:
        `beforeVariableChanged` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `beforeVariableChanged` in class `org.kie.api.event.process.DefaultProcessEventListener`

    - #### afterVariableChanged

          public void afterVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)

      Specified by:
        `afterVariableChanged` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `afterVariableChanged` in class `org.kie.api.event.process.DefaultProcessEventListener`

    - #### notifyParentOnCompletion

          protected void notifyParentOnCompletion​(CaseEvent event)

    - #### getCaseFile

          protected CaseFileInstance getCaseFile​(org.kie.api.runtime.KieSession ksession)

    - #### getCaseEventSupport

          protected CaseEventSupport getCaseEventSupport()

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`